Ensemble Forecasts
Get an Ensemble Forecast Job's Progress or Completed Quantile Results
GET
/
ensemble-forecasts
/
{forecast_id}
Get an Ensemble Forecast Job's Progress or Completed Quantile Results
curl --request GET \
--url https://quantura.studio/api/v1/ensemble-forecasts/{forecast_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://quantura.studio/api/v1/ensemble-forecasts/{forecast_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://quantura.studio/api/v1/ensemble-forecasts/{forecast_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"forecast_id": "ens_01JEXAMPLE7M6N",
"status": "completed",
"progress": {
"completed_models": 1,
"total_models": 1,
"current_model": null
},
"status_url": "/api/v1/ensemble-forecasts/ens_01JEXAMPLE7M6N",
"result_url": "/api/v1/ensemble-forecasts/ens_01JEXAMPLE7M6N",
"quantiles": [
0.1,
0.5,
0.9
],
"predictions": [
{
"timestamp": "2026-09-21T00:00:00Z",
"quantiles": {
"0.1": 98,
"0.5": 100,
"0.9": 102
}
}
]
},
"meta": {
"api_version": "v1"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Forecast id or unique slug.
⌘I
Get an Ensemble Forecast Job's Progress or Completed Quantile Results
